## mangohud 0.6.1

=== meson_options.txt ===
option('glibcxx_asserts', type : 'boolean', value : false)
option('use_system_vulkan', type : 'feature', value : 'disabled', description: 'Use system vulkan headers instead of the provided ones')
option('append_libdir_mangohud', type : 'boolean', value : true, description: 'Append "mangohud" to libdir path or not.')
option('ld_libdir_prefix', type : 'boolean', value : false, description: 'Set ld libdir to "$prefix/lib/mangohud/\$LIB"')
option('ld_libdir_abs', type : 'boolean', value : false, description: 'Use absolute path in LD_PRELOAD')
option('include_doc', type : 'boolean', value : true, description: 'Include the example config')
option('with_nvml', type : 'combo', value : 'enabled', choices: ['enabled', 'system', 'disabled'], description: 'Enable NVML support')
option('with_xnvctrl', type : 'feature', value : 'enabled', description: 'Enable XNVCtrl support')
option('with_x11', type : 'feature', value : 'enabled')
option('with_wayland', type : 'feature', value : 'disabled')
option('with_dbus', type : 'feature', value : 'enabled')
option('with_dlsym', type : 'feature', value : 'disabled')

=== debian/changelog ===
mangohud (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #954844)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sun, 29 Nov 2020 20:52:47 +0100

=== debian/control ===
Source: mangohud
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               meson,
               pkg-config,
               glslang-tools,
               mesa-common-dev,
               libdbus-1-dev,
               libvulkan-dev,
               libx11-dev,
               libwayland-dev,
               libxnvctrl-dev,
               python3-mako,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/flightlessmango/MangoHud
Vcs-Browser: https://salsa.debian.org/games-team/mangohud
Vcs-Git: https://salsa.debian.org/games-team/mangohud.git

Package: mangohud
Section: misc
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: libxnvctrl0,
Description: Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more
 A modification of the Mesa Vulkan overlay, including GUI improvements with HUD
 configuration, temperature reporting, and logging capabilities. Includes a
 script (mangohud) to start it on any OpenGL or Vulkan application.
 To get data for Nvidia GPUs, you need to install libxnvctrl0.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
        -Duse_system_vulkan=enabled \
        -Dwith_nvml=disabled \
        -Dwith_wayland=enabled \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?MangoHud-v(\d[\d.]*)-Source-DFSG\.tar\.gz%mangohud-$1.tar.gz%" \
    https://github.com/flightlessmango/MangoHud/releases (?:.*?/)?MangoHud-v(\d[\d.]*)-Source-DFSG\.tar\.gz

## mangohud 0.6.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 option('glibcxx_asserts', type : 'boolean', value : false)
 option('use_system_vulkan', type : 'feature', value : 'disabled', description: 'Use system vulkan headers instead of the provided ones')
+option('vulkan_datadir', type : 'string', value : '', description: 'Path to the system vulkan headers data directory if different from MangoHud\'s datadir')
 option('append_libdir_mangohud', type : 'boolean', value : true, description: 'Append "mangohud" to libdir path or not.')
 option('ld_libdir_prefix', type : 'boolean', value : false, description: 'Set ld libdir to "$prefix/lib/mangohud/\$LIB"')
 option('ld_libdir_abs', type : 'boolean', value : false, description: 'Use absolute path in LD_PRELOAD')
+option('prepend_libdir_vk', type : 'boolean', value : true, description: 'Prepend libdir to library path in vulkan manifest')
 option('include_doc', type : 'boolean', value : true, description: 'Include the example config')
 option('with_nvml', type : 'combo', value : 'enabled', choices: ['enabled', 'system', 'disabled'], description: 'Enable NVML support')
 option('with_xnvctrl', type : 'feature', value : 'enabled', description: 'Enable XNVCtrl support')

=== debian/changelog ===
mangohud (0.6.5-2) unstable; urgency=medium

  * Update standards version to 4.6.0.1, no changes needed
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 14:19:31 +0200

mangohud (0.6.5-1) experimental; urgency=medium

  * New upstream version 0.6.5

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 08 Jul 2021 21:55:39 +0200

mangohud (0.6.4-1) experimental; urgency=medium

  * New upstream version 0.6.4

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 24 Jun 2021 17:16:26 +0200

mangohud (0.6.3-1) experimental; urgency=medium

  * New upstream version 0.6.3

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 14 Jun 2021 20:45:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mangohud
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
+Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
                pkg-config,
@@ -16,7 +16,7 @@
                python3-mako,
                python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/flightlessmango/MangoHud
 Vcs-Browser: https://salsa.debian.org/games-team/mangohud
 Vcs-Git: https://salsa.debian.org/games-team/mangohud.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?MangoHud-v(\d[\d.]*)-Source-DFSG\.tar\.xz%mangohud-$1.tar.xz%" \
    https://github.com/flightlessmango/MangoHud/releases (?:.*?/)?MangoHud-v(\d[\d.]*)-Source-DFSG\.tar\.xz

## mangohud 0.6.7

=== debian/changelog ===
mangohud (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 04 May 2022 21:47:31 +0200

mangohud (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 28 Oct 2021 11:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,17 @@
                glslang-tools,
                mesa-common-dev,
                libdbus-1-dev,
+               libdrm-dev,
                libvulkan-dev,
+               libglew-dev,
+               libopengl-dev,
+               nlohmann-json3-dev,
+               libglfw3-dev,
+               libspdlog-dev,
                libx11-dev,
                libwayland-dev,
                libxnvctrl-dev,
+               libxrandr-dev,
                python3-mako,
                python3-setuptools,
 Rules-Requires-Root: no
@@ -27,9 +34,41 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Recommends: mangoctl,
 Suggests: libxnvctrl0,
+          goverlay,
 Description: Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more
- A modification of the Mesa Vulkan overlay, including GUI improvements with HUD
- configuration, temperature reporting, and logging capabilities. Includes a
- script (mangohud) to start it on any OpenGL or Vulkan application.
+ MangoHud is a highly customizable overlay for Vulkan and OpenGL application to
+ monitoring FPS, temperatures, CPU/GPU load and more.
+ .
+ This package includes the libraries for MangoHud and includes a script called
+ mangohud to start it on any OpenGL or Vulkan application.
  To get data for Nvidia GPUs, you need to install libxnvctrl0.
+
+Package: mangoapp
+Section: misc
+Architecture: any
+Multi-Arch: no
+Depends: mangohud (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: gamescope,
+Description: Application to render MangoHud with gamescope
+ MangoHud is a highly customizable overlay for Vulkan and OpenGL application to
+ monitoring FPS, temperatures, CPU/GPU load and more.
+ .
+ This package contains an application called mangoapp to use mangohud with the
+ gamescope compositor.
+
+Package: mangohudctl
+Section: misc
+Architecture: any
+Multi-Arch: no
+Depends: mangohud (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Application to control MangoHud
+ MangoHud is a highly customizable overlay for Vulkan and OpenGL application to
+ monitoring FPS, temperatures, CPU/GPU load and more.
+ .
+ This package contains an optional CLI application to control MangoHud.

## mangohud 0.6.7.1

=== debian/changelog ===
mangohud (0.6.7.1-1) unstable; urgency=medium

  * New upstream version 0.6.7.1
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 05 Jul 2022 11:50:00 +0200

mangohud (0.6.7-2) unstable; urgency=medium

  * Team upload
  * d/p/Build-mangoapp-and-mangohudctl-for-any-CPU-architecture.patch:
    Fix FTBFS on 32-bit architectures by building mangohudctl and mangoapp
    there too

 -- Simon McVittie <smcv@debian.org>  Thu, 12 May 2022 13:37:47 +0100

## mangohud 0.6.8

=== meson_options.txt ===
option('glibcxx_asserts', type : 'boolean', value : false)
option('use_system_vulkan', type : 'feature', value : 'disabled', description: 'Use system vulkan headers instead of the provided ones')
option('use_system_spdlog', type : 'feature', value : 'disabled', description: 'Use system spdlog library')
option('vulkan_datadir', type : 'string', value : '', description: 'Path to the system vulkan headers data directory if different from MangoHud\'s datadir')
option('append_libdir_mangohud', type : 'boolean', value : true, description: 'Append "mangohud" to libdir path or not.')
option('ld_libdir_prefix', type : 'boolean', value : false, description: 'Set ld libdir to "$prefix/lib/mangohud/\$LIB"')
option('ld_libdir_abs', type : 'boolean', value : false, description: 'Use absolute path in LD_PRELOAD')
option('prepend_libdir_vk', type : 'boolean', value : true, description: 'Prepend libdir to library path in vulkan manifest')
option('include_doc', type : 'boolean', value : true, description: 'Include the example config, man pages, appstream files etc.')
option('with_nvml', type : 'combo', value : 'enabled', choices: ['enabled', 'system', 'disabled'], description: 'Enable NVML support')
option('with_xnvctrl', type : 'feature', value : 'enabled', description: 'Enable XNVCtrl support')
option('with_x11', type : 'feature', value : 'enabled')
option('with_wayland', type : 'feature', value : 'disabled')
option('with_dbus', type : 'feature', value : 'enabled')
option('with_dlsym', type : 'feature', value : 'disabled')
option('loglevel', type: 'combo', choices : ['trace', 'debug', 'info', 'warn', 'err', 'critical', 'off'], value : 'info', description: 'Max log level in non-debug build')
option('mangoapp', type: 'boolean', value : 'false')
option('mangohudctl', type: 'boolean', value : 'false')
option('mangoapp_layer', type: 'boolean', value : 'false')
option('tests', type: 'feature', value: 'auto', description: 'Run tests')

=== subprojects/imgui-1.81/meson_options.txt ===
# renderer backends
option('dx9', type : 'feature', value : 'auto')
option('dx10', type : 'feature', value : 'auto')
option('dx11', type : 'feature', value : 'auto')
option('dx12', type : 'feature', value : 'auto')
option('metal', type : 'feature', value : 'auto')
option('opengl', type : 'feature', value : 'auto')
option('vulkan', type : 'feature', value : 'auto')

# platform backends
option('glfw', type : 'feature', value : 'auto')
option('sdl2', type : 'feature', value : 'auto')
option('osx', type : 'feature', value : 'auto')
option('win', type : 'feature', value : 'auto')

# frameworks (renderer + platform)
option('marmalade', type : 'feature', value : 'auto')
option('allegro5', type : 'feature', value : 'auto')

=== debian/changelog ===
mangohud (0.6.8-2) unstable; urgency=medium

  * Fix watch file due to GitHub changes

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 09 Nov 2022 22:32:25 +0100

mangohud (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8 (Closes: #1016209)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 01 Aug 2022 10:25:18 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-mako,
                python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/flightlessmango/MangoHud
 Vcs-Browser: https://salsa.debian.org/games-team/mangohud
 Vcs-Git: https://salsa.debian.org/games-team/mangohud.git

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
         -Duse_system_vulkan=enabled \
+        -Duse_system_spdlog=enabled \
         -Dwith_nvml=disabled \
+        -Dwith_xnvctrl=enabled \
         -Dwith_wayland=enabled \
+        -Dmangoapp=true \
+        -Dmangohudctl=true \
+        -Dmangoapp_layer=true

## mangohud 0.6.9.1

=== meson_options.txt ===
option('glibcxx_asserts', type : 'boolean', value : false)
option('use_system_spdlog', type : 'feature', value : 'disabled', description: 'Use system spdlog library')
option('append_libdir_mangohud', type : 'boolean', value : true, description: 'Append "mangohud" to libdir path or not.')
option('include_doc', type : 'boolean', value : true, description: 'Include the example config, man pages, appstream files etc.')
option('with_nvml', type : 'combo', value : 'enabled', choices: ['enabled', 'system', 'disabled'], description: 'Enable NVML support')
option('with_xnvctrl', type : 'feature', value : 'enabled', description: 'Enable XNVCtrl support')
option('with_x11', type : 'feature', value : 'enabled')
option('with_wayland', type : 'feature', value : 'disabled')
option('with_dbus', type : 'feature', value : 'enabled')
option('loglevel', type: 'combo', choices : ['trace', 'debug', 'info', 'warn', 'err', 'critical', 'off'], value : 'info', description: 'Max log level in non-debug build')
option('mangoapp', type: 'boolean', value : false)
option('mangohudctl', type: 'boolean', value : false)
option('mangoapp_layer', type: 'boolean', value : false)
option('tests', type: 'feature', value: 'auto', description: 'Run tests')

=== debian/changelog ===
mangohud (0.6.9.1-2build1) noble; urgency=medium

  * Rebuild against latst spdlog

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 24 Nov 2023 20:01:22 -0500

mangohud (0.6.9.1-2) unstable; urgency=medium

  [ Safir Secerovic ]
  * a/p/01-vulkan_manifest_fix.patch:
    Compatiblity fix with latest Mesa Vulkan versions

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 09 Aug 2023 17:50:30 +0200

mangohud (0.6.9.1-1) unstable; urgency=medium

  * New upstream version 0.6.9.1 (Closes: #1037769)
  * Update standards version to 4.6.2, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 18 Jul 2023 22:10:11 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-mako,
                python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/flightlessmango/MangoHud
 Vcs-Browser: https://salsa.debian.org/games-team/mangohud
 Vcs-Git: https://salsa.debian.org/games-team/mangohud.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-        -Duse_system_vulkan=enabled \
         -Duse_system_spdlog=enabled \
         -Dwith_nvml=disabled \
         -Dwith_xnvctrl=enabled \

## mangohud 0.7.1.1

=== meson_options.txt ===
--- 
+++ 
@@ -12,3 +12,5 @@
 option('mangohudctl', type: 'boolean', value : false)
 option('mangoapp_layer', type: 'boolean', value : false)
 option('tests', type: 'feature', value: 'auto', description: 'Run tests')
+option('mangoplot', type: 'feature', value: 'enabled')
+option('dynamic_string_tokens', type: 'boolean', value: true, description: 'Use dynamic string tokens in LD_PRELOAD')

=== debian/changelog ===
mangohud (0.7.1.1-1) unstable; urgency=medium

  * New upstream version 0.7.1.1
  * New binary package: mangoplot (temporarily disabled)
  * Added runtime dependencies to mangoplot:
    python3, python3-numpy, python3-matplotlib
  * Removed 01-vulkan_manifest_fix.patch
  * Added patch:
    02-mangoplot_use_python3.patch
  * Added libMangoHud_opengl.so to debian/mangohud.install
  * Substituded pkg-config with pkgconf  

 -- Safir Secerovic <sapphire@linux.org.ba>  Sun, 24 Mar 2024 22:06:57 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
-               pkg-config,
+               pkgconf,
                glslang-tools,
                mesa-common-dev,
                libdbus-1-dev,
@@ -35,6 +35,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: mangoctl,
+            mangoplot,
 Suggests: libxnvctrl0,
           goverlay,
 Description: Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more
@@ -72,3 +73,20 @@
  monitoring FPS, temperatures, CPU/GPU load and more.
  .
  This package contains an optional CLI application to control MangoHud.
+
+#Package: mangoplot
+#Section: misc
+#Architecture: any
+#Multi-Arch: no
+#Depends: mangohud (= ${binary:Version}),
+#         ${misc:Depends},
+#         python3,
+#         python3-numpy,
+#         python3-matplotlib, 
+#Description: Plotting script for local visualization of FPS data
+# mangoplot is a plotting script that is shipped with MangoHud: 
+# in a given folder, it takes each log file, makes a 1D heatmap of its 
+# framerates, then stacks the heats maps vertically to form a 2D graph 
+# for easy visual comparison between benchmarks.
+# .
+# This package contains a plotting script to visualize FPS offline.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,5 @@
         -Dwith_wayland=enabled \
         -Dmangoapp=true \
         -Dmangohudctl=true \
-        -Dmangoapp_layer=true
+        -Dmangoapp_layer=true \
+	-Dmangoplot=disabled

## mangohud 0.7.2

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 option('with_nvml', type : 'combo', value : 'enabled', choices: ['enabled', 'system', 'disabled'], description: 'Enable NVML support')
 option('with_xnvctrl', type : 'feature', value : 'enabled', description: 'Enable XNVCtrl support')
 option('with_x11', type : 'feature', value : 'enabled')
-option('with_wayland', type : 'feature', value : 'disabled')
+option('with_wayland', type : 'feature', value : 'enabled')
 option('with_dbus', type : 'feature', value : 'enabled')
 option('loglevel', type: 'combo', choices : ['trace', 'debug', 'info', 'warn', 'err', 'critical', 'off'], value : 'info', description: 'Max log level in non-debug build')
 option('mangoapp', type: 'boolean', value : false)

=== subprojects/implot-0.16/.github/CMakeLists.txt ===
# This build script is not meant for general use, it is for CI use only!
cmake_minimum_required(VERSION 3.0)
project(implot)

#
# Global options
#

# Same as Dear ImGui
set(CMAKE_CXX_STANDARD 11)

# Arch option for linux
if (NOT APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang|GNU" AND DEFINED GCC_ARCH)
    if ("${GCC_ARCH}" MATCHES "Win32|x86|32")
        add_compile_options(-m32)
        add_link_options(-m32)
    elseif ("${GCC_ARCH}" MATCHES "Win64|x64|64")
        add_compile_options(-m64)
        add_link_options(-m64)
    endif ()
endif ()

# Arch option for Mac: arm64 for M1 or x86_64 for intel (32 bits build are deprecated on Mac)
if(APPLE AND DEFINED OSX_ARCH)
    if ("${OSX_ARCH}" MATCHES "x86_64")
        set(CMAKE_OSX_ARCHITECTURES "x86_64")
    elseif ("${OSX_ARCH}" MATCHES "arm64")
        set(CMAKE_OSX_ARCHITECTURES "arm64")
    else()
        message(FATAL_ERROR "Unhandled OSX_ARCH=${OSX_ARCH}")
    endif()
endif()

#
# Dear ImGui library with no backend
#

set(imgui_sources
    ../imgui/imconfig.h
    ../imgui/imgui.cpp
    ../imgui/imgui.h
    ../imgui/imgui_demo.cpp
    ../imgui/imgui_draw.cpp
    ../imgui/imgui_internal.h
    ../imgui/imgui_tables.cpp
    ../imgui/imgui_widgets.cpp
    ../imgui/imstb_rectpack.h
    ../imgui/imstb_textedit.h
    ../imgui/imstb_truetype.h
    )
add_library(imgui ${imgui_sources})
target_include_directories(imgui PUBLIC ../imgui)

#
# ImPlot library
#

file(GLOB SOURCE_CODE ../implot*.*)
add_library(implot STATIC ${SOURCE_CODE})

if(MSVC)
    target_compile_options(implot PRIVATE /W4 /WX)
else()
    target_compile_options(implot PRIVATE -Wall -Werror -pedantic)
endif()

target_include_directories(implot PUBLIC ${CMAKE_CURRENT_LIST_DIR}/..)
target_link_libraries(implot PUBLIC imgui)

if (UNIX)
    target_link_libraries(implot PUBLIC m stdc++)
endif()

# Define supported types via command line:
#   - With no choice all types are supported (so that the CI provides support for all known types)
#   - with -DIMPLOT_CUSTOM_NUMERIC_TYPES="default" the default set defined in implot_items.cpp is used
#   - with -DIMPLOT_CUSTOM_NUMERIC_TYPES="(int)(float)(double)" only int, float and double are supported
if (NOT DEFINED IMPLOT_CUSTOM_NUMERIC_TYPES)
    set(IMPLOT_CUSTOM_NUMERIC_TYPES "all")
endif()
if ("${IMPLOT_CUSTOM_NUMERIC_TYPES}" STREQUAL "default")
    message("==== Compiling for default types ====")
elseif("${IMPLOT_CUSTOM_NUMERIC_TYPES}" STREQUAL "all")
    message("==== Compiling for all types ====")
    target_compile_definitions(implot PRIVATE "IMPLOT_CUSTOM_NUMERIC_TYPES=(signed char)(unsigned char)(signed short)(unsigned short)(signed int)(unsigned int)(signed long)(unsigned long)(signed long long)(unsigned long long)(float)(double)(long double)")
else()
    message("==== Compiling for custom types: ${IMPLOT_CUSTOM_NUMERIC_TYPES} ====")
    target_compile_definitions(implot PRIVATE "IMPLOT_CUSTOM_NUMERIC_TYPES=${IMPLOT_CUSTOM_NUMERIC_TYPES}")
endif()

#
# implot example binary application (with no backend)
#
add_executable(example_implot example_implot.cpp)
target_link_libraries(example_implot PRIVATE implot)

=== debian/changelog ===
mangohud (0.7.2-2) unstable; urgency=medium

  * Team Upload
  * Use canonical address for Games Team

  [Bo YU]
  * Backport commit from upstream to fix crash on riscv64. (Closes: #1084946)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Feb 2025 21:24:14 +0100

mangohud (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * Added libxkbcommon-dev to the build-deps

 -- Safir Secerovic <sapphire@linux.org.ba>  Mon, 02 Sep 2024 18:31:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mangohud
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
@@ -22,6 +22,7 @@
                libxrandr-dev,
                python3-mako,
                python3-setuptools,
+               libxkbcommon-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/flightlessmango/MangoHud
@@ -73,20 +74,3 @@
  monitoring FPS, temperatures, CPU/GPU load and more.
  .
  This package contains an optional CLI application to control MangoHud.
-
-#Package: mangoplot
-#Section: misc
-#Architecture: any
-#Multi-Arch: no
-#Depends: mangohud (= ${binary:Version}),
-#         ${misc:Depends},
-#         python3,
-#         python3-numpy,
-#         python3-matplotlib, 
-#Description: Plotting script for local visualization of FPS data
-# mangoplot is a plotting script that is shipped with MangoHud: 
-# in a given folder, it takes each log file, makes a 1D heatmap of its 
-# framerates, then stacks the heats maps vertically to form a 2D graph 
-# for easy visual comparison between benchmarks.
-# .
-# This package contains a plotting script to visualize FPS offline.

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
         -Dmangoapp=true \
         -Dmangohudctl=true \
         -Dmangoapp_layer=true \
-	-Dmangoplot=disabled
+        -Dmangoplot=disabled

## mangohud 0.8.1

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 option('loglevel', type: 'combo', choices : ['trace', 'debug', 'info', 'warn', 'err', 'critical', 'off'], value : 'info', description: 'Max log level in non-debug build')
 option('mangoapp', type: 'boolean', value : false)
 option('mangohudctl', type: 'boolean', value : false)
-option('mangoapp_layer', type: 'boolean', value : false)
 option('tests', type: 'feature', value: 'auto', description: 'Run tests')
 option('mangoplot', type: 'feature', value: 'enabled')
 option('dynamic_string_tokens', type: 'boolean', value: true, description: 'Use dynamic string tokens in LD_PRELOAD')
+option('with_fex', type : 'boolean', value : false)

=== subprojects/imgui-1.89.9/meson_options.txt ===
# renderer backends
option('dx9', type : 'feature', value : 'auto')
option('dx10', type : 'feature', value : 'auto')
option('dx11', type : 'feature', value : 'auto')
option('dx12', type : 'feature', value : 'auto')
option('metal', type : 'feature', value : 'auto')
option('opengl', type : 'feature', value : 'auto')
option('sdl_renderer', type : 'feature', value : 'auto')
option('vulkan', type : 'feature', value : 'auto')
option('webgpu', type : 'feature', value : 'auto')

# platform backends
option('glfw', type : 'feature', value : 'auto')
option('sdl2', type : 'feature', value : 'auto')
option('osx', type : 'feature', value : 'auto')
option('win', type : 'feature', value : 'auto')

# frameworks (renderer + platform)
option('allegro5', type : 'feature', value : 'auto')

=== debian/changelog ===
mangohud (0.8.1-3) unstable; urgency=medium

  * Add :native to python3-mako build dependency (allows cross-compilation)
  * Add appstream build dependency for metainfo test
  * mangohud properly Recommends mangohudctl now
  * mangohud:amd64 Recommends mangohud:i386
  * Add mangoplot package
  * Reuse description for binary packages

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Fri, 15 Aug 2025 00:00:03 +0500

mangohud (0.8.1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1100366)
  * d/control: add myself to uploaders, formatting
  * d/copyright: fix lintian superfluous-file-pattern

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Mon, 11 Aug 2025 22:00:26 +0400

mangohud (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1
  * Update standards to 4.7.2, no changes needed
  * Drop riscv64 build patch

 -- Safir Secerovic <sapphire@linux.org.ba>  Wed, 28 May 2025 02:20:51 -0600

=== debian/control ===
Source: mangohud
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Stephan Lachnit <stephanlachnit@debian.org>,
 Ilya Orlov <ilyaorlov124@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 appstream <!nocheck>,
 meson,
 pkgconf,
 glslang-tools,
 mesa-common-dev,
 libdbus-1-dev,
 libdrm-dev,
 libvulkan-dev,
 libglew-dev,
 libopengl-dev,
 nlohmann-json3-dev,
 libglfw3-dev,
 libspdlog-dev,
 libx11-dev,
 libwayland-dev,
 libxnvctrl-dev,
 libxrandr-dev,
 python3-mako:native,
 python3-setuptools,
 libxkbcommon-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/flightlessmango/MangoHud
Vcs-Browser: https://salsa.debian.org/games-team/mangohud
Vcs-Git: https://salsa.debian.org/games-team/mangohud.git
Description: Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more
 MangoHud is a highly customizable overlay for Vulkan and OpenGL application to
 monitoring FPS, temperatures, CPU/GPU load and more.

Package: mangohud
Section: misc
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mangohud:i386 [amd64],
 mangohudctl,
 mangoplot,
Suggests:
 libxnvctrl0,
 goverlay,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package includes the libraries for MangoHud and includes a script called
 mangohud to start it on any OpenGL or Vulkan application.
 To get data for Nvidia GPUs, you need to install libxnvctrl0.

Package: mangoapp
Section: misc
Architecture: any
Multi-Arch: no
Depends:
 mangohud (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 gamescope,
Description: Application to render MangoHud with gamescope
 ${source:Extended-Description}
 .
 This package contains an application called mangoapp to use mangohud with the
 gamescope compositor.

Package: mangohudctl
Section: misc
Architecture: any
Multi-Arch: no
Depends:
 mangohud (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Application to control MangoHud
 ${source:Extended-Description}
 .
 This package contains an optional CLI application to control MangoHud.

Package: mangoplot
Section: misc
Architecture: all
Depends:
 python3,
 python3-matplotlib,
 python3-numpy,
 ${misc:Depends},
Enhances:
 mangohud,
Description: Script for easy visual comparison between MangoHud benchmarks
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,5 @@
         -Dwith_wayland=enabled \
         -Dmangoapp=true \
         -Dmangohudctl=true \
-        -Dmangoapp_layer=true \
-        -Dmangoplot=disabled
+        -Dmangoapp=true \
+        -Dmangoplot=enabled

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%MangoHud-v@ANY_VERSION@-Source-DFSG.tar.xz%@PACKAGE@-$1.tar.xz%,uversionmangle=s%-(\d)%\.$1%" \
https://api.github.com/repos/flightlessmango/MangoHud/releases?per_page=100 \
https://github.com/flightlessmango/MangoHud/releases/download/[^/]*/MangoHud-v@ANY_VERSION@-Source-DFSG.tar.xz

## mangohud 0.8.2~rc2

=== debian/changelog ===
mangohud (0.8.2~rc2-1) unstable; urgency=medium

  * New upstream version 0.8.2-rc2 (Closes: #1113924)
  * d/gbp.conf: enable pristine-tar
  * d/control: Remove unnecessary build dependencies

 -- Ilya Orlov <ilyaorlov124@gmail.com>  Sat, 15 Nov 2025 00:05:26 +0500

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,7 @@
  libdbus-1-dev,
  libdrm-dev,
  libvulkan-dev,
- libglew-dev,
  libopengl-dev,
- nlohmann-json3-dev,
  libglfw3-dev,
  libspdlog-dev,
  libx11-dev,
@@ -25,7 +23,6 @@
  libxnvctrl-dev,
  libxrandr-dev,
  python3-mako:native,
- python3-setuptools,
  libxkbcommon-dev,
 Standards-Version: 4.7.2
 Homepage: https://github.com/flightlessmango/MangoHud

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%MangoHud-v@ANY_VERSION@-Source-DFSG.tar.xz%@PACKAGE@-$1.tar.xz%,versionmangle=s%-%~%" \
https://api.github.com/repos/flightlessmango/MangoHud/releases?per_page=100 \
https://github.com/flightlessmango/MangoHud/releases/download/[^/]*/MangoHud-v@ANY_VERSION@-Source-DFSG.tar.xz
